## org.apache.lucene.analysis.cn.smart
Class SentenceTokenizer

    java.lang.Object
      org.apache.lucene.util.AttributeSource
          org.apache.lucene.analysis.TokenStream
              org.apache.lucene.analysis.Tokenizer
                  org.apache.lucene.analysis.cn.smart.SentenceTokenizer

    public final class SentenceTokenizer

extends org.apache.lucene.analysis.Tokenizer

Tokenizes input text into sentences.

The output tokens can then be broken into words with `WordTokenFilter`

WARNING: The status of the analyzers/smartcn analysis.cn.smart package is experimental. The APIs and file formats introduced here might change in the future and will not be supported anymore in such a case.

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.lucene.util.AttributeSource
`org.apache.lucene.util.AttributeSource.AttributeFactory, org.apache.lucene.util.AttributeSource.State`

Field Summary

Fields inherited from class org.apache.lucene.analysis.Tokenizer
`input`

Constructor Summary
`SentenceTokenizer(org.apache.lucene.util.AttributeSource.AttributeFactory factory, java.io.Reader reader)`
`SentenceTokenizer(org.apache.lucene.util.AttributeSource source, java.io.Reader reader)`
`SentenceTokenizer(java.io.Reader reader)`

Method Summary
`void` `end()`
`boolean` `incrementToken()`
`void` `reset()`
`void` `reset(java.io.Reader input)`

Methods inherited from class org.apache.lucene.analysis.Tokenizer
`close, correctOffset`

Methods inherited from class org.apache.lucene.analysis.TokenStream
`getOnlyUseNewAPI, next, next, setOnlyUseNewAPI`

Methods inherited from class org.apache.lucene.util.AttributeSource
`addAttribute, addAttributeImpl, captureState, clearAttributes, cloneAttributes, equals, getAttribute, getAttributeClassesIterator, getAttributeFactory, getAttributeImplsIterator, hasAttribute, hasAttributes, hashCode, restoreState, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SentenceTokenizer

    public SentenceTokenizer(java.io.Reader reader)

### SentenceTokenizer

    public SentenceTokenizer(org.apache.lucene.util.AttributeSource source,
                             java.io.Reader reader)

### SentenceTokenizer

    public SentenceTokenizer(org.apache.lucene.util.AttributeSource.AttributeFactory factory,
                             java.io.Reader reader)

Method Detail

### incrementToken

    public boolean incrementToken()
                           throws java.io.IOException

  Overrides:
    `incrementToken` in class `org.apache.lucene.analysis.TokenStream`
  Throws:
    `java.io.IOException`

### reset

    public void reset()
               throws java.io.IOException

  Overrides:
    `reset` in class `org.apache.lucene.analysis.TokenStream`
  Throws:
    `java.io.IOException`

### reset

    public void reset(java.io.Reader input)
               throws java.io.IOException

  Overrides:
    `reset` in class `org.apache.lucene.analysis.Tokenizer`
  Throws:
    `java.io.IOException`

### end

    public void end()
             throws java.io.IOException

  Overrides:
    `end` in class `org.apache.lucene.analysis.TokenStream`
  Throws:
    `java.io.IOException`

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.